#!/bin/sh
#
# Script to check that ihost is still running, and restart if necessary.
#
# You probably want to add this to a cronjob, say every 10 minutes:
#    0,10,20,30,40,50 * * * *	/path/to/ihostchk.sh
# And if you find yourself getting e-mails, use the following instead:
#    0,10,20,30,40,50 * * * *	/path/to/ihostchk.sh >/dev/null 2>&1
# NOTE: e-mails should only be sent if an error occurs, so the former is
#       the best choice for a cronjob.
#
# $Id: ihostchk.sh,v 1.2 2001/03/12 23:51:15 tdb1 Exp $
#

# CHANGE this to the directory of the ihost.pl script
ihostdir="/home/cut/tdb1/cvs/source/host/ihost"

# CHANGE these to represent your filtermanager details
fmhost="raptor.ukc.ac.uk"
fmport="4567"

# CHANGE this to point to the PID file
pidfile="/var/tmp/ihost.pid"

###### You probably don't need to change anything below here ######

ihost="ihost.pl"

cd $ihostdir

# is there a pid file?
if test -r $pidfile
then
  # there is a pid file, check to see if it's current
  ihostpid=`cat $pidfile`
  if `kill -CHLD $ihostpid >/dev/null 2>&1`
  then
    # it's still alive, lets leave it be
    exit 0
  fi
  # old pid file found
  echo ""
  echo "Stale $pidfile file, removing..."
  rm -f $pidfile
fi

# if we got here, we're clear to restart ihost
echo ""
echo "ihost is not running, starting up..."
echo ""
./$ihost $fmhost $fmport &
exit 0

# finished
